Comment 3 for bug 436035

Andreas Olsson (andol) wrote :

Taken the patch from https://savannah.nongnu.org/bugs/?26064 and done some necessary modifications.

First it only checks against the two first "parts" of the version number, ie 2.6 instead of 2.6.2+ for example. Python really wouldn't consider 2+ an int.

 Also, the *nix version of rdiff-backup requires shell=True instead of shell=False in the subprocess.Popen call.

Attaching a debdiff which applies the patch.